%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-sasl
Version:          1.0.0
Release:          10%{?dist}
Summary:          SASL Provider for J2SE
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jboss-remoting/jboss-sasl

# git clone git://github.com/jboss-remoting/jboss-sasl.git
# cd jboss-sasl/ && git archive --format=tar --prefix=jboss-sasl-1.0.0.Final/ 1.0.0.Final | xz > jboss-sasl-1.0.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools

%description
This package contains SASL Provider for J2SE

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-10
- Switch to xmvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.0-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-4
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Relocated jars to _javadir

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Upstream release 1.0.0.Final

* Fri Jan 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.2.Beta9
- Removed empty doc

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta9
- Upstream release 1.0.0.Beta9

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta4
- Upstream release 1.0.0.Beta4

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta1
- Initial packaging

